## wmwork 0.1.0

=== src/Makefile ===
# $Id: Makefile,v 1.7 2002/03/03 15:21:58 godisch Exp $

prefix      = /usr/local
exec_prefix = ${prefix}
bindir      = ${exec_prefix}/bin
mandir      = ${prefix}/share/man

DESTDIR     =

CFLAGS      = -O2 -Wall -pedantic
LIBS        = -L/usr/X11R6/lib -lX11 -lXpm -lXext

all: wmwork

wmwork: wmwork.o wmgeneral.o
	$(CC) $(LIBS) -o $@ $^

wmwork.o: wmwork.c wmwork.h wmwork.xpm
wmgeneral.o: wmgeneral.c wmgeneral.h

install: install-bin install-doc

install-bin: wmwork
	install -D -s -m 755 $< $(DESTDIR)$(bindir)/wmwork

install-doc: wmwork.1
	install -D -m 644 $< $(DESTDIR)$(mandir)/man1/wmwork.1

uninstall: uninstall-bin uninstall-doc

uninstall-bin:
	rm -f $(DESTDIR)$(bindir)/wmwork

uninstall-doc:
	rm -f $(DESTDIR)$(mandir)/man1/wmwork.1

clean:
	rm -f *.o

distclean: clean
	rm -f wmwork

.PHONY: all clean dist-clean install install-bin install-doc \
	uninstall uninstall-bin uninstall-doc

## wmwork 0.2.5

=== debian/changelog ===
wmwork (0.2.5-4) unstable; urgency=low

  * Fixed watch file, closes: #551492.
  * Updated package to source format 3.0 (quilt).
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 12 Sep 2010 09:03:29 +0200

wmwork (0.2.5-3) unstable; urgency=low

  * Fixed watch file, closes: #449894.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 10 Dec 2007 20:15:20 +0100

wmwork (0.2.5-2) unstable; urgency=low

  * Debian maintenance release.
  * Fixed distclean target.
  * Updated menu section to Applications/Project Management.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 03 Nov 2007 10:42:54 +0100

wmwork (0.2.5-1) unstable; urgency=low

  * New upstream release.
  * Fixed POSIX compliance of debian/rules.
  * Fixed menu file.
  * Added watch file, updated copyright file.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 02 Dec 2005 08:36:45 +0100

wmwork (0.2.4-1) unstable; urgency=low

  * New upstream release, closes: #190859.
  * Updated standards version.
  * Temporarily removed debian/watch file.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 29 Apr 2003 11:00:00 +0200

wmwork (0.2.3-1) unstable; urgency=low

  * New upstream release, closes: #186195.
  * Re-added lost debian/watch.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 25 Mar 2003 11:10:30 +0100

wmwork (0.2.2-3) unstable; urgency=low

  * Fixed compiler warning on alpha & co.
  * Fixed update-menus in debian/postinst and debian/postrm.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 01 Mar 2003 11:36:30 +0100

wmwork (0.2.2-2) unstable; urgency=low

  * Removed build-dependency on debhelper.
  * Updated maintainer email address.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 21 Feb 2003 09:19:40 +0100

wmwork (0.2.2-1) unstable; urgency=low

  * New upstream release.
  * Fixed debhelper version and missing noopt.
  * Updated standards version.

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Thu, 02 Jan 2003 22:02:24 +0100

wmwork (0.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Sat, 02 Nov 2002 16:39:05 +0100

wmwork (0.2.0-1) unstable; urgency=low

  * New upstream release.
  * Updated debian directory.

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Sat, 19 Oct 2002 16:49:15 +0200

wmwork (0.1.0-1) unstable; urgency=low

  * New upstream release.
  * Added debian/compat, debian/watch; updated debian/rules.

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Sat, 30 Mar 2002 17:44:10 +0100

wmwork (0.0.10-1) unstable; urgency=medium

  * New upstream release.

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Tue, 19 Mar 2002 17:46:01 +0100

wmwork (0.0.9-1) unstable; urgency=low

  * New upstream release.
  * Moved files from /usr/X11R6 to /usr.
  * Updated standards version.

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Mon,  4 Mar 2002 02:17:13 +0100

wmwork (0.0.8-2) unstable; urgency=low

  * Fixed architecture in debian/control.

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Sun,  3 Mar 2002 07:52:49 +0100

wmwork (0.0.8-1) unstable; urgency=low

  * Initial release (closes: #135697).

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Tue, 26 Feb 2002 08:53:00 +0100

=== debian/control ===
Source: wmwork
Section: x11
Priority: optional
Maintainer: Martin A. Godisch <godisch@debian.org>
Build-Depends: libx11-dev, libxext-dev, libxpm-dev
Standards-Version: 3.9.1

Package: wmwork
Architecture: any
Depends: ${shlibs:Depends}
Suggests: wmaker | afterstep
Description: Keep track of time worked on projects
 wmwork provides a monitor on a 64x64 mini window that helps you keeping
 track of your time. The idea is based on the program Worklog written
 by Truxton King Fulton II. In contrast to Worklog wmwork is a graphical
 application designed to work with the WindowMaker dock, but will work
 with other window managers as well. wmwork's upstream homepage can be
 found at http://www.godisch.de/debian/wmwork/.

=== debian/rules ===
#!/usr/bin/make -f
# $Id: rules,v 1.28 2007/11/03 09:45:53 godisch Exp $

BUILDDIR = debian/wmwork
DEBDIR   = $(BUILDDIR)/DEBIAN
DOCDIR   = $(BUILDDIR)/usr/share/doc/wmwork
testdir  = test -f src/wmwork.c && test -f debian/rules
testroot = test x`whoami` = xroot

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
	CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
export CFLAGS

clean:
	$(testdir)
	rm -f build debian/files debian/substvars
	[ ! -f src/Makefile ] || $(MAKE) -C src distclean
	rm -rf debian/wmwork

build:
	$(testdir)
	cd src && ./configure $(CONFFLAGS) --prefix=/usr --mandir=/usr/share/man
	$(MAKE) -C src
	touch build

binary: binary-arch

binary-indep:

binary-arch: build
	$(testdir)
	$(testroot)
	rm -rf debian/wmwork

	$(MAKE) -C src install DESTDIR=$(CURDIR)/debian/wmwork
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	strip -R .comment -R .note $(BUILDDIR)/usr/bin/wmwork
endif
	gzip -9 $(BUILDDIR)/usr/share/man/man1/wmwork.1
	install -D -o root -g root -m 0644 debian/menu $(BUILDDIR)/usr/share/menu/wmwork

	install -D -o root -g root -m 0644 CHANGES $(DOCDIR)/changelog
	install -D -o root -g root -m 0644 debian/changelog $(DOCDIR)/changelog.Debian
	install    -o root -g root -m 0644 README debian/copyright $(DOCDIR)
	install -D -o root -g root -m 0644 debian/worklog $(DOCDIR)/examples/worklog
	gzip -9 $(DOCDIR)/changelog*

	install -d -o root -g root -m 0755 $(DEBDIR)
	install    -o root -g root -m 0644 debian/control $(DEBDIR)
	install    -o root -g root -m 0755 debian/postinst debian/postrm $(DEBDIR)
	cd $(BUILDDIR) && find usr -type f -print0 | xargs -0 md5sum > DEBIAN/md5sums
	chmod 0644 $(DEBDIR)/md5sums

	dpkg-shlibdeps $(BUILDDIR)/usr/bin/wmwork
	dpkg-gencontrol -isp -pwmwork -P$(BUILDDIR)
	dpkg --build $(BUILDDIR) ..

.PHONY: clean binary binary-indep binary-arch

## wmwork 0.2.6

=== debian/changelog ===
wmwork (0.2.6-4) unstable; urgency=medium

  * source-only upload

 -- Martin A. Godisch <godisch@debian.org>  Sun, 26 Jul 2020 12:55:33 +0200

wmwork (0.2.6-3) unstable; urgency=medium

  * Fixed gcc-10 compilation, closes: #957955.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 25 Jul 2020 14:31:21 +0200

wmwork (0.2.6-2) unstable; urgency=low

  * Fixed reproducible builds, closes: #777363, thanks to Chris Lamb.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 07 Jun 2015 18:53:14 +0200

wmwork (0.2.6-1) unstable; urgency=low

  * New upstream release: Fixed segfault, thanks to The Mayhem Team
    from Cylab, Carnegie Mellon University.
  * Updated standards version:
    + added build-arch, build-indep targets to debian/build,
    + added hardening build flags.

 -- Martin A. Godisch <godisch@debian.org>  Thu, 27 Jun 2013 20:39:12 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Martin A. Godisch <godisch@debian.org>
 Build-Depends: libx11-dev, libxext-dev, libxpm-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.4
 
 Package: wmwork
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
-# $Id: rules,v 1.28 2007/11/03 09:45:53 godisch Exp $
 
 BUILDDIR = debian/wmwork
 DEBDIR   = $(BUILDDIR)/DEBIAN
@@ -13,7 +12,10 @@
 	CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
 
-CFLAGS = -Wall -g
+CPPFLAGS = -Wall $(shell dpkg-buildflags --get CPPFLAGS)
+export CPPFLAGS
+
+CFLAGS = -Wall -g $(shell dpkg-buildflags --get CFLAGS)
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
@@ -21,13 +23,20 @@
 endif
 export CFLAGS
 
+LDFLAGS = -Wall $(shell dpkg-buildflags --get LDFLAGS)
+export LDFLAGS
+
 clean:
 	$(testdir)
 	rm -f build debian/files debian/substvars
 	[ ! -f src/Makefile ] || $(MAKE) -C src distclean
 	rm -rf debian/wmwork
 
-build:
+build: build-arch
+
+build-indep:
+
+build-arch:
 	$(testdir)
 	cd src && ./configure $(CONFFLAGS) --prefix=/usr --mandir=/usr/share/man
 	$(MAKE) -C src
@@ -46,14 +55,14 @@
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	strip -R .comment -R .note $(BUILDDIR)/usr/bin/wmwork
 endif
-	gzip -9 $(BUILDDIR)/usr/share/man/man1/wmwork.1
+	gzip -9n $(BUILDDIR)/usr/share/man/man1/wmwork.1
 	install -D -o root -g root -m 0644 debian/menu $(BUILDDIR)/usr/share/menu/wmwork
 
 	install -D -o root -g root -m 0644 CHANGES $(DOCDIR)/changelog
 	install -D -o root -g root -m 0644 debian/changelog $(DOCDIR)/changelog.Debian
 	install    -o root -g root -m 0644 README debian/copyright $(DOCDIR)
 	install -D -o root -g root -m 0644 debian/worklog $(DOCDIR)/examples/worklog
-	gzip -9 $(DOCDIR)/changelog*
+	gzip -9n $(DOCDIR)/changelog*
 
 	install -d -o root -g root -m 0755 $(DEBDIR)
 	install    -o root -g root -m 0644 debian/control $(DEBDIR)

## wmwork 0.2.8

=== debian/changelog ===
wmwork (0.2.8-1) unstable; urgency=low

  * New upstream release.
  * Changed build system to debhelper.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 17 Mar 2024 13:11:19 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: x11
 Priority: optional
 Maintainer: Martin A. Godisch <godisch@debian.org>
-Build-Depends: libx11-dev, libxext-dev, libxpm-dev
-Standards-Version: 3.9.4
+Build-Depends: debhelper-compat (= 13), libx11-dev, libxext-dev, libxpm-dev
+Standards-Version: 4.6.2
 
 Package: wmwork
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: wmaker | afterstep
 Description: Keep track of time worked on projects
  wmwork provides a monitor on a 64x64 mini window that helps you keeping

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --sourcedirectory=src

=== debian/watch ===
version=4
http://people.debian.org/~godisch/wmwork wmwork-(.*)\.tar\.gz
